package com.edgec.browserbackend.browser.service;

import com.edgec.browserbackend.browser.domain.*;
import com.edgec.browserbackend.browser.dto.*;

import java.util.List;

public interface IpResourceService {

    IpTransactionDto buyIp(String username, IpResourceRequestDto ipResourceRequestDto) throws Exception;

    IpOperationResultDto renewIp(String username, IpResourceRequestDto ipResourceRequestDto) throws Exception;

    IpOperationResultDto deleteIp(String username, List<String> ipAddrs) throws Exception;

    IpPageResultDto getIpList(String username, int groupType, int page, int amount, IpFilterDto ipFilterDto);

    void setIpOptions();

    IpOptions getIpOptions();

    List<PlatformOptions> getPlatformOptions();

    IpTransactionDto queryTransaction(String username, String transactionId);
}
